## ruby-rbtrace 0.4.11

=== test/CMakeLists.txt ===
FIND_PACKAGE (GTest REQUIRED)
FIND_PACKAGE (ZLIB REQUIRED)
FIND_PACKAGE (Threads REQUIRED)

INCLUDE_DIRECTORIES (
    ${GTEST_INCLUDE_DIRS}
    ${ZLIB_INCLUDE_DIRS}
)

LIST (APPEND check_PROGRAMS
    zone.cpp
    pack_unpack.cpp
    pack_unpack_c.cpp
    streaming.cpp
    streaming_c.cpp
    object.cpp
    object_with_zone.cpp
    version.cpp
    convert.cpp
    buffer.cpp
    cases.cpp
    fixint.cpp
    fixint_c.cpp
    msgpack_tuple.cpp
    msgpack_basic.cpp
    msgpack_container.cpp
    msgpack_stream.cpp
    msgpack_vref.cpp
    msgpack_c.cpp
    reference.cpp
    limit.cpp
)

IF (MSGPACK_CXX11)
    LIST (APPEND check_PROGRAMS
        msgpack_cpp11.cpp
        reference_cpp11.cpp
        iterator_cpp11.cpp
    )
ENDIF ()

FOREACH (source_file ${check_PROGRAMS})
    GET_FILENAME_COMPONENT (source_file_we ${source_file} NAME_WE)
    ADD_EXECUTABLE (
        ${source_file_we}
        ${source_file}
    )
    TARGET_LINK_LIBRARIES (${source_file_we}
        msgpack
        ${GTEST_BOTH_LIBRARIES}
        ${ZLIB_LIBRARIES}
        ${CMAKE_THREAD_LIBS_INIT}
    )
    ADD_TEST (${source_file_we} ${source_file_we})
    IF ("${CMAKE_CXX_COMPILER_ID}" STREQUAL "Clang" OR "${CMAKE_CXX_COMPILER_ID}" STREQUAL "GNU")
        SET_PROPERTY (TARGET ${source_file_we} APPEND_STRING PROPERTY COMPILE_FLAGS "-Wall -g -O3")
    ENDIF ()
    IF ("${CMAKE_CXX_COMPILER_ID}" STREQUAL "MSVC")
        IF (CMAKE_CXX_FLAGS MATCHES "/W[0-4]")
            STRING(REGEX REPLACE "/W[0-4]" "/W3" CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS}")
        ELSE ()
            SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} /W3")
        ENDIF ()
    ENDIF ()
ENDFOREACH ()

## ruby-rbtrace 0.4.10

=== debian/changelog ===
ruby-rbtrace (0.4.10-1) unstable; urgency=medium

  * Initial release (Closes: #907245)

 -- Pirate Praveen <praveen@debian.org>  Sat, 25 Aug 2018 16:15:27 +0530

=== debian/control ===
Source: ruby-rbtrace
Section: ruby
Priority: optional
Maintainer: Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
Uploaders: Pirate Praveen <praveen@debian.org>
Build-Depends: debhelper (>= 11~),
               gem2deb,
               ruby-ffi (>= 1.0.6),
               ruby-msgpack (>= 0.4.3),
               ruby-trollop (>= 1.16.2)
Standards-Version: 4.2.0
Vcs-Git: https://salsa.debian.org/ruby-team/ruby-rbtrace.git
Vcs-Browser: https://salsa.debian.org/ruby-team/ruby-rbtrace
Homepage: http://github.com/tmm1/rbtrace
Testsuite: autopkgtest-pkg-ruby
XS-Ruby-Versions: all

Package: ruby-rbtrace
Architecture: any
XB-Ruby-Versions: ${ruby:Versions}
Depends: ruby | ruby-interpreter,
         ruby-ffi (>= 1.0.6),
         ruby-msgpack (>= 0.4.3),
         ruby-trollop (>= 1.16.2),
         ${misc:Depends},
         ${shlibs:Depends}
Description: rbtrace: like strace but for ruby code
 rbtrace shows method calls happening inside another ruby process in real
 time.
 .
 rbtrace is designed to have minimal overhead, and should be safe to run in
 production.

## ruby-rbtrace 0.4.11

=== debian/changelog ===
ruby-rbtrace (0.4.11-3build1) focal; urgency=medium

  [ Rafael David Tinoco ]
  * Sponsoring ruby2.7 transitions

  [ Lucas Kanashiro ]
  * No-change rebuild for ruby2.7

 -- Rafael David Tinoco <rafaeldtinoco@ubuntu.com>  Fri, 28 Feb 2020 15:04:26 +0000

ruby-rbtrace (0.4.11-3) unstable; urgency=medium

  * Remove ruby-trollop and add ruby-optimist

 -- Pirate Praveen <praveen@debian.org>  Fri, 07 Feb 2020 15:47:48 +0100

ruby-rbtrace (0.4.11-2) unstable; urgency=medium

  * Re-upload to unstable

 -- Utkarsh Gupta <utkarsh@debian.org>  Wed, 05 Feb 2020 12:20:57 -0500

ruby-rbtrace (0.4.11-1) experimental; urgency=medium

  * New upstream version 0.4.11
  * Fix package wrt cme
  * Add salsa-ci.yml

 -- Utkarsh Gupta <utkarsh@debian.org>  Mon, 03 Feb 2020 12:35:11 -0500

=== debian/control ===
Source: ruby-rbtrace
Maintainer: Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
Uploaders: Pirate Praveen <praveen@debian.org>,
           Utkarsh Gupta <utkarsh@debian.org>
Section: ruby
Testsuite: autopkgtest-pkg-ruby
Priority: optional
Build-Depends: debhelper-compat (= 12),
               gem2deb,
               ruby-ffi,
               ruby-msgpack,
               ruby-optimist
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/ruby-team/ruby-rbtrace
Vcs-Git: https://salsa.debian.org/ruby-team/ruby-rbtrace.git
Homepage: http://github.com/tmm1/rbtrace
XS-Ruby-Versions: all

Package: ruby-rbtrace
Architecture: any
XB-Ruby-Versions: ${ruby:Versions}
Depends: ruby | ruby-interpreter,
         ruby-ffi,
         ruby-msgpack,
         ruby-optimist,
         ${misc:Depends},
         ${shlibs:Depends}
Description: rbtrace: like strace but for ruby code
 rbtrace shows method calls happening inside another ruby process in real
 time.
 .
 rbtrace is designed to have minimal overhead, and should be safe to run in
 production.

=== debian/watch ===
version=3
https://gemwatch.debian.net/rbtrace .*/rbtrace-(.*).tar.gz

## ruby-rbtrace 0.4.14

=== debian/changelog ===
ruby-rbtrace (0.4.14-1) unstable; urgency=medium

  * Team upload.

  [ Ileana Dumitrescu ]
  * New upstream version 0.4.14
  * Add patch to fix FTBFS with riscv (Closes: #1010157)

  [ HIGUCHI Daisuke (VDR dai) ]
  * eliminate lintian warning: update-debian-copyright
  * mark Rules-Requires-Root as no.
  * Bump Standards-Version to 4.6.1

 -- HIGUCHI Daisuke (VDR dai) <dai@debian.org>  Tue, 09 Aug 2022 21:41:27 +0900

ruby-rbtrace (0.4.11-4) unstable; urgency=medium

  [ Debian Janitor ]
  * Use secure URI in Homepage field.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Sruthi Chandran ]
  * Update minimum version of gem2deb to 1.0

  [ Cédric Boutillier ]
  * Update team name
  * Add .gitattributes to keep unwanted files out of the source package

  [ Debian Janitor ]
  * Update watch file format version to 4.
  * Bump debhelper from old 12 to 13.
  * Update standards version to 4.5.1, no changes needed.

  [ Pirate Praveen ]
  * Bump Standards-Version to 4.6.0 (no changes needed)
  * Switch to gem-install layout for bundle --local compatibility

 -- Pirate Praveen <praveen@debian.org>  Sun, 23 Jan 2022 15:30:22 +0530

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,20 @@
 Source: ruby-rbtrace
-Maintainer: Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Ruby Team <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
 Uploaders: Pirate Praveen <praveen@debian.org>,
            Utkarsh Gupta <utkarsh@debian.org>
 Section: ruby
 Testsuite: autopkgtest-pkg-ruby
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
-               gem2deb,
+Build-Depends: debhelper-compat (= 13),
+               gem2deb (>= 1.0~),
                ruby-ffi,
                ruby-msgpack,
                ruby-optimist
-Standards-Version: 4.5.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/ruby-team/ruby-rbtrace
 Vcs-Git: https://salsa.debian.org/ruby-team/ruby-rbtrace.git
-Homepage: http://github.com/tmm1/rbtrace
+Homepage: https://github.com/tmm1/rbtrace
+Rules-Requires-Root: no
 XS-Ruby-Versions: all
 
 Package: ruby-rbtrace

## ruby-rbtrace 0.5.1

=== debian/changelog ===
ruby-rbtrace (0.5.1-1.1) unstable; urgency=medium

  * Non-maintainer upload.

  [ zhangdandan <zhangdandan@loongson.cn> ]
  * Add support for loong64 (Closes: #1068227)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 26 Oct 2024 17:50:55 +0200

ruby-rbtrace (0.5.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release (Closes: #1075474).
  * Declare compliance with Debian Policy 4.7.0.
  * d/control: runtime depend on ${ruby:Depends} instead of the interpreter.

 -- Lucas Kanashiro <kanashiro@debian.org>  Tue, 20 Aug 2024 16:06:30 -0300

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                ruby-ffi,
                ruby-msgpack,
                ruby-optimist
-Standards-Version: 4.6.1
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/ruby-team/ruby-rbtrace
 Vcs-Git: https://salsa.debian.org/ruby-team/ruby-rbtrace.git
 Homepage: https://github.com/tmm1/rbtrace
@@ -20,10 +20,10 @@
 Package: ruby-rbtrace
 Architecture: any
 XB-Ruby-Versions: ${ruby:Versions}
-Depends: ruby | ruby-interpreter,
-         ruby-ffi,
+Depends: ruby-ffi,
          ruby-msgpack,
          ruby-optimist,
+         ${ruby:Depends},
          ${misc:Depends},
          ${shlibs:Depends}
 Description: rbtrace: like strace but for ruby code

## ruby-rbtrace 0.5.2

=== debian/changelog ===
ruby-rbtrace (0.5.2-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream release.
    - Fixes FTBFS with GCC 15. (Closes: #1097821)

 -- Adrian Bunk <bunk@debian.org>  Fri, 24 Oct 2025 21:34:34 +0300

=== debian/watch ===
version=4
https://gemwatch.debian.net/rbtrace .*/rbtrace-(.*).tar.gz

## ruby-rbtrace 0.5.3

=== debian/changelog ===
ruby-rbtrace (0.5.3-1) unstable; urgency=medium

  * Team upload.
  * Upgrade the watch file to version 5.
  * New upstream release.
  * Update Standards-Version to 4.7.3.
  * Drop {XS,XB}-Ruby-Versions from control.
  * Drop Rules-Requires-Root field, it is now redundant.

 -- Simon Quigley <tsimonq2@debian.org>  Wed, 18 Feb 2026 16:42:19 -0600

=== debian/control ===
--- 
+++ 
@@ -4,22 +4,18 @@
            Utkarsh Gupta <utkarsh@debian.org>
 Section: ruby
 Testsuite: autopkgtest-pkg-ruby
-Priority: optional
 Build-Depends: debhelper-compat (= 13),
                gem2deb (>= 1.0~),
                ruby-ffi,
                ruby-msgpack,
                ruby-optimist
-Standards-Version: 4.7.0
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/ruby-team/ruby-rbtrace
 Vcs-Git: https://salsa.debian.org/ruby-team/ruby-rbtrace.git
 Homepage: https://github.com/tmm1/rbtrace
-Rules-Requires-Root: no
-XS-Ruby-Versions: all
 
 Package: ruby-rbtrace
 Architecture: any
-XB-Ruby-Versions: ${ruby:Versions}
 Depends: ruby-ffi,
          ruby-msgpack,
          ruby-optimist,

=== debian/watch ===
Version: 5
Source: https://gemwatch.debian.net/rbtrace
Matching-Pattern: .*/rbtrace-*@ANY_VERSION@.tar.gz
